import { createElement } from "@wordpress/element";
import { TextControl, __experimentalBaseControl, __experimentalControlWrapper, __experimentalControlLabel } from '@quillforms/admin-components';
import { useSelect, useDispatch } from '@wordpress/data';

const PostTitle = () => {
  const {
    setPostTitle
  } = useDispatch('quillForms/document-editor');
  const {
    title
  } = useSelect(select => {
    return {
      title: select('quillForms/document-editor').getPostTitle()
    };
  });
  return createElement(__experimentalBaseControl, null, createElement(__experimentalControlWrapper, {
    orientation: "vertical"
  }, createElement(__experimentalControlLabel, {
    label: "Title"
  }), createElement(TextControl, {
    value: title,
    onChange: val => setPostTitle(val)
  })));
};

export default PostTitle;
//# sourceMappingURL=index.js.map